import { getDefaultExportFromCjs } from "../../../../../_virtual/_commonjsHelpers.mjs";
import { _ as _basePick } from "./_basePick.mjs";
import { _ as _flatRest } from "./_flatRest.mjs";
var basePick = _basePick, flatRest = _flatRest;
var pick = flatRest(function(object, paths) {
  return object == null ? {} : basePick(object, paths);
});
var pick_1 = pick;
const pick$1 = /* @__PURE__ */ getDefaultExportFromCjs(pick_1);
export {
  pick$1 as default
};
